petsc-3.12.4 2020-02-04
Report Typos and Errors

# ISCopy

Copies an index set.

### Synopsis

    #include "petscis.h"
    PetscErrorCode  ISCopy(IS is,IS isy)

Collective on IS

### Input Parmeters

is -the index set

### Output Parameters

isy -the copy of the index set

### See Also

ISDuplicate()

### Level

beginner

### Location

src/vec/is/is/interface/index.c

### Implementations

ISCopy_Block in src/vec/is/is/impls/block/block.c
ISCopy_General in src/vec/is/is/impls/general/general.c
ISCopy_Stride in src/vec/is/is/impls/stride/stride.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages